
#include <flare_gui/collision_column.h>








FGUICollisionColumn::FGUICollisionColumn(float x, float w)
	: FGUICollisionArea(x, 0, w, 0)
{
}





void FGUICollisionColumn::draw_bounding_area()
{
	
}





bool FGUICollisionColumn::collides(float x, float y)
{
	if (x < placement.x) return false;
	if (x > placement.x + placement.w) return false;
	return true;
}

